Enneo

Ticket

Get a tickets history

GET /ticket/{ticketId}/history

GET /ticket/{ticketId}/history

Get a history of created tickets and other relevant actions from a customer/contract

Path parameters

ticketIdintegerpathrequired

The id of the ticket

Query parameters

limitintegerquery

The number of items to return

offsetintegerquery

The number of items to skip

Responses

200 — Successful operation

Response Example

{
  "success": true,
  "total": 11,
  "totalOpenedTickets": 2,
  "history": [
    {
      "id": 1022,
      "type": "ticket",
      "channel": "email",
      "subChannel": null,
      "status": "active",
      "subject": "Tom Mustermann",
      "url": null,
      "createdAt": 1673039966
    },
    {
      "id": 222,
      "type": "ticket",
      "channel": "phone",
      "subChannel": null,
      "status": "pending",
      "subject": "missedCall",
      "url": null,
      "createdAt": 1672953566
    },
    {
      "id": 135,
      "type": "ticket",
      "channel": "chat",
      "subChannel": "facebook",
      "status": "open",
      "subject": null,
      "url": "https://facebook.com/message/289291",
      "createdAt": 1662153566
    },
    {
      "id": null,
      "type": "delivery",
      "channel": null,
      "subChannel": null,
      "status": null,
      "subject": "deliveryStart",
      "url": "https://powercloud.de/gridMessages/41425548",
      "createdAt": 1660953600
    },
    {
      "id": null,
      "type": "gridMessage",
      "channel": null,
      "subChannel": "gridOperator",
      "status": null,
      "subject": "deliveryStartConfirmed",
      "url": "https://powercloud.de/gridMessages/41425548",
      "createdAt": 1660345921
    },
    {
      "id": null,
      "type": "gridMessage",
      "channel": null,
      "subChannel": "previousSupplier",
      "status": null,
      "subject": "handoverDateConfirmed",
      "url": "https://powercloud.de/gridMessages/41425548",
      "createdAt": 1657667521
    }
  ]
}

403 — Unauthorized

404 — Ticket not found

500 — Internal error